Bug 480564 - the Offline & Disk Space settings doesn't do any effort on the folder properties
the Offline & Disk Space settings doesn't do any effort on the folder properties
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
: Desktop
Depends On: 477724
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-18 20:29 EST by Vivian Bian
Modified: 2009-07-15 05:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 477724
Environment:
Last Closed: 2009-07-15 05:05:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vivian Bian 2009-01-18 20:29:43 EST
+++ This bug was initially created as a clone of Bug #477724 +++

Description of problem:
After Set the last *number* of messages in the Edit->Account Settings->Offline & Disk Space,the folder properties still keep the default setting

Version-Release number of selected component (if applicable):
thunderbird-2.0.0.14-1.fc9
How reproducible:
Always

Steps to Reproduce:
1.Go to Edit->Account Settings->Offline & Disk Space
2. check option "Delete all old messages but the last *number* messages", set $NUMBER to 1.
3.click "OK"
4.choose any folder of this account, go to Edit->Folder Properties, in Tab "Retention Policy"
  
Actual results:
In the Folder Properties the "Retention Policy" the checked option is still the default one "Don't delete any messages"

Expected results:
option "Delete all  but the last 2 messages" is checked in the Folder Properties the "Retention Policy"

Additional info:
there is also the problem in thunderbird-1.5.0.12-18.el4
Comment 1 Matěj Cepl 2009-01-19 08:59:26 EST
Can you reproduce it with TB from Rawhide?
Comment 2 Vivian Bian 2009-01-19 22:21:56 EST
yeap,the bug could be reproduced from rawhide
Comment 3 Matěj Cepl 2009-01-28 08:51:20 EST
(In reply to comment #0)
> Actual results:
> In the Folder Properties the "Retention Policy" the checked option is still the
> default one "Don't delete any messages"

Much more interesting question is what happens when you run File/Compact Folders. Is the account setting followed or not?
Comment 4 Bug Zapper 2009-06-10 07:10:49 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Noura El hawary 2009-07-15 05:05:34 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.